Main Page Widgets Namespaces Book

# Gtk::Menu_Helpers::Element Class Reference

Inheritance diagram for Gtk::Menu_Helpers::Element:

[legend]
List of all members.

## Public Types
typedef SigC::Slot0<void> | CallSlot
## Public Member Functions
| Element ()
| Element (MenuItem& child)
| ~Element ()
const Glib::RefPtr<MenuItem>& | get_child () const
## Protected Member Functions
void | set_accel_key (const AccelKey& accel_key)
## Protected Attributes
Glib::RefPtr<MenuItem> | child_

## Member Typedef Documentation

typedef SigC::Slot0<void> Gtk::Menu_Helpers::Element::CallSlot

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::Element::Element | ( |  | ) |

Gtk::Menu_Helpers::Element::Element | ( | MenuItem& | child | ) |

Gtk::Menu_Helpers::Element::~Element | ( |  | ) |

## Member Function Documentation

const Glib::RefPtr<MenuItem>& Gtk::Menu_Helpers::Element::get_child | ( |  | ) | const

void Gtk::Menu_Helpers::Element::set_accel_key | ( | const AccelKey& | accel_key | ) | `[protected]`

## Member Data Documentation

Glib::RefPtr<MenuItem> Gtk::Menu_Helpers::Element::child_`[protected]`

The documentation for this class was generated from the following file:

- menu_elems.h